<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/left_back_btn"
            android:layout_width="36dp"
            android:layout_height="44dp"
            android:paddingStart="16dp"
            android:paddingTop="14dp"
            android:paddingEnd="16dp"
            android:paddingBottom="14dp"
            android:scaleType="centerCrop"
            android:src="@drawable/question_title_back" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:gravity="center_vertical"
            android:text="咨询前评估"
            android:textColor="@color/im_color_242424"
            android:textSize="17sp" />


        <TextView
            android:id="@+id/tv_skip"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center_vertical"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            android:text="跳过"
            android:textColor="@color/im_color_grey_999999"
            android:textSize="14sp" />
    </RelativeLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:ignore="MissingConstraints">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycle"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@color/color_f8f8f8"
            android:paddingBottom="12dp"
            app:layout_constraintBottom_toTopOf="@+id/cl_input"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_weight="1" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_input"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintBottom_toTopOf="@id/tv_finish"
            tools:visibility="visible">

            <TextView
                android:id="@+id/tv_problem"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/color_f8f8f8"
                android:paddingStart="12dp"
                android:paddingBottom="13dp"
                android:textColor="@color/color_242424"
                android:textSize="14sp"
                android:visibility="gone"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="已选:"
                tools:visibility="visible" />

            <EditText
                android:id="@+id/et_input_problem"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:gravity="top"
                android:hint="请简单描述遇到的问题......"
                android:maxHeight="100dp"
                android:padding="12dp"
                android:textColor="@color/color_242424"
                android:textColorHint="@color/color_bfbfbf"
                android:textSize="17sp"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_problem" />

            <HorizontalScrollView
                android:id="@+id/hsv_problem_tips"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="72dp"
                android:scrollbars="none"
                app:layout_constraintTop_toBottomOf="@id/et_input_problem">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingStart="12dp"
                    tools:visibility="visible">

                    <TextView
                        android:id="@+id/tv_cur_problem"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:background="@drawable/bg_shape_f8f8f8_r4"
                        android:drawableStart="@mipmap/ic_input_add"
                        android:drawablePadding="2dp"
                        android:gravity="center"
                        android:paddingStart="8dp"
                        android:paddingTop="4dp"
                        android:paddingEnd="8dp"
                        android:paddingBottom="4dp"
                        android:text="当前问题"
                        android:textColor="@color/color_242424"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_duration"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginStart="12dp"
                        android:background="@drawable/bg_shape_f8f8f8_r4"
                        android:drawableStart="@mipmap/ic_input_add"
                        android:drawablePadding="2dp"
                        android:gravity="center"
                        android:paddingStart="8dp"
                        android:paddingEnd="8dp"
                        android:text="持续时间"
                        android:textColor="@color/color_242424"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_problem_impact"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginStart="12dp"
                        android:background="@drawable/bg_shape_f8f8f8_r4"
                        android:drawableStart="@mipmap/ic_input_add"
                        android:drawablePadding="2dp"
                        android:gravity="center"
                        android:paddingStart="8dp"
                        android:paddingEnd="8dp"
                        android:text="问题影响"
                        android:textColor="@color/color_242424"
                        android:textSize="14sp" />
                </LinearLayout>
            </HorizontalScrollView>


            <LinearLayout
                android:id="@+id/ll_send"
                android:layout_width="86dp"
                android:layout_height="28dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/bg_gradient_fff_40fff"
                android:gravity="center|bottom"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/et_input_problem"
                app:layout_constraintVertical_weight="1">

                <TextView
                    android:id="@+id/tv_send"
                    android:layout_width="54dp"
                    android:layout_height="28dp"
                    android:background="@drawable/bg_shape_1da1f2_r4"
                    android:gravity="center"
                    android:text="发送"
                    android:textColor="@color/white"
                    android:textSize="15sp" />
            </LinearLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--        开始-->
        <TextView
            android:id="@+id/tv_finish"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="30dp"
            android:layout_marginBottom="14dp"
            android:background="@drawable/im_background_collect_info_bottom_start"
            android:gravity="center"
            android:text="去沟通"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>